/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2023/09/04 19:18:28
 */

import { nextTick } from 'wkit'

export function noop() {}

export const docker = {
  containers(all = true) {
    return native.handler('docker', { action: 'containers', all })
  },

  images() {
    return native.handler('docker', { action: 'images' })
  },

  volumns() {
    return native.handler('docker', { action: 'volumns' })
  },

  networks() {
    return native.handler('docker', { action: 'networks' })
  },

  services() {
    return native.handler('docker', { action: 'services' })
  },

  rm(id) {
    return native.handler('docker', { action: 'rm', id })
  },

  rmi(id) {
    return native.handler('docker', { action: 'rmi', id })
  }
}
