/**
 * {}
 * @author yutent<yutent.io@gmail.com>
 * @date 2024/01/11 17:42:40
 */

import { createRouter, createWebHistory } from 'wkitd'

import './views/home.js'
import './views/images.js'
import './views/volumes.js'

export default createRouter({
  history: createWebHistory(),
  routes: [
    {
      path: '/',
      name: 'wc-containers'
    },
    {
      path: '/images',
      name: 'wc-images'
    },
    {
      path: '/volumes',
      name: 'wc-volumes'
    }
  ]
})
